aboutsummaryrefslogtreecommitdiff
path: root/tools/release
diff options
context:
space:
mode:
authorpml68 <contact@pml68.dev>2025-09-07 12:03:10 +0200
committerpml68 <contact@pml68.dev>2025-09-07 12:03:10 +0200
commitc70c80c789df88aa4ed079c7f8b6fcd4a23cb095 (patch)
treec3bc5cba5b744c0af99d331e7f3d5185cd501b39 /tools/release
parentfeat: add Makefile (diff)
downloadaur-c70c80c789df88aa4ed079c7f8b6fcd4a23cb095.tar.gz
feat: add -r/--remove flags
Diffstat (limited to 'tools/release')
-rwxr-xr-xtools/release13
1 files changed, 13 insertions, 0 deletions
diff --git a/tools/release b/tools/release
new file mode 100755
index 0000000..065b5ce
--- /dev/null
+++ b/tools/release
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+if [[ -n "$1" ]]; then
+ set -xe
+ sed -i "s/version=.*/version=$1/" ./aur
+ make -B
+ git add .
+ git commit -m "chore: bump version"
+ git tag -a "v$1" -m "aur v$1"
+else
+ echo "No version argument passed."
+ exit 1
+fi